Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.relyingparty.util
Class CustomizedSSLSender

    java.lang.Object
      org.apache.axis2.transport.http.AbstractHTTPSender
          org.wso2.solutions.identity.relyingparty.util.CustomizedSSLSender

    public class CustomizedSSLSender

extends org.apache.axis2.transport.http.AbstractHTTPSender

Field Summary

Fields inherited from class org.apache.axis2.transport.http.AbstractHTTPSender
`ANONYMOUS, chunked, format, httpVersion, isAllowedRetry, PROTOCOL_HTTP, PROTOCOL_HTTPS, PROXY_HOST_NAME, PROXY_PORT, proxyOutSetting`

Constructor Summary
`CustomizedSSLSender()`

Method Summary
`void` | `send(org.apache.axis2.context.MessageContext msgContext, java.net.URL url, java.lang.String soapActionString)`
`void` | `setTrustStoreFileName(java.lang.String keyStoreFileName)`
`void` | `setTrustStorePass(java.lang.String keyStorePass)`

Methods inherited from class org.apache.axis2.transport.http.AbstractHTTPSender
`addCustomHeaders, executeMethod, getHostConfiguration, getHttpClient, initializeTimeouts, isAuthenticationEnabled, obtainHTTPHeaderInformation, populateCommonProperties, processResponse, setAuthenticationInfo, setChunked, setFormat, setHttpVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomizedSSLSender

    public CustomizedSSLSender()

Method Detail

### send

    public void send(org.apache.axis2.context.MessageContext msgContext,
                     java.net.URL url,
                     java.lang.String soapActionString)
              throws java.io.IOException

  Specified by:
    `send` in class `org.apache.axis2.transport.http.AbstractHTTPSender`
  Throws:
    `java.io.IOException`

### setTrustStoreFileName

    public void setTrustStoreFileName(java.lang.String keyStoreFileName)

### setTrustStorePass

    public void setTrustStorePass(java.lang.String keyStorePass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD